Skip to main content
POST
/
geo_boundaries
/
search
Search Geo Boundaries
curl --request POST \
  --url https://data.apartmentiq.io/apartmentiq/api/v2/geo_boundaries/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "account_id": "{account_id}",
  "query": "Raleigh"
}
'
{
  "markets": [
    {
      "id": 4127,
      "name": "Raleigh-Cary, NC",
      "description": "Raleigh-Cary, NC Metro Area",
      "centroid": [
        35.7796,
        -78.6382
      ],
      "place_type": null,
      "geo_type": "MSA"
    },
    {
      "id": 90114,
      "name": "Downtown Raleigh",
      "description": "Downtown Raleigh submarket",
      "centroid": [
        35.7789,
        -78.6389
      ],
      "place_type": "neighborhood",
      "geo_type": "Submarket"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
account_id
required

ApartmentIQ account ID used to set the request account context.

query
string
required

Search term.

geo_types
enum<string>[]

Frontend geo types to include. Defaults to market geo types when omitted. Valid values: Custom, MSA, BespokeSubmarket, CensusPlace, Neighborhood, County, ZipCode, State.

Available options:
Custom,
MSA,
BespokeSubmarket,
CensusPlace,
Neighborhood,
County,
ZipCode,
State
limit
integer

Maximum number of markets to return. Defaults to 10.

Required range: x >= 1

Response

Matching market geo boundaries.

Geo-boundary search results.

markets
object[]
required

Markets and geographies matching the search query.